=== debian/changelog ===
ros-melodic-vesc-driver (1.0.0-1stretch) stretch; urgency=high

  * Applying roslint and replacing registration macro with templated class.
  * Adding roslint.
  * Adding licenses.
  * Updating maintainers, authors, and URLs.
  * added onboard car
  * Contributors: Joshua Whitley, billyzheng

 -- Johannes Betz <joebetz@seas.upenn.edu>  Wed, 02 Dec 2020 06:00:00 -0000
