=== debian/control ===
Source: ros-melodic-vesc-driver
Section: misc
Priority: optional
Maintainer: Johannes Betz <joebetz@seas.upenn.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-nodelet, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-serial, ros-melodic-std-msgs, ros-melodic-vesc-msgs
Homepage: http://www.ros.org/wiki/vesc_driver
Standards-Version: 3.9.2

Package: ros-melodic-vesc-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-nodelet, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-serial, ros-melodic-std-msgs, ros-melodic-vesc-msgs
Description: ROS device driver for the Vedder VESC open source motor driver.
