## ros-melodic-vesc-driver 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,14 @@
 cmake_minimum_required(VERSION 2.8.3)
 project(vesc_driver)
+
+# Set minimum C++ standard to C++11
+if (NOT "${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}")
+  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+elseif ("${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}" STREQUAL "98")
+  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
+  set(CMAKE_CXX_STANDARD 11)
+endif()
 
 find_package(Boost REQUIRED)
 
@@ -54,7 +63,14 @@
   ${catkin_LIBRARIES}
 )
 
-roslint_cpp()
+file(GLOB_RECURSE ${PROJECT_NAME}_CPP_FILES
+  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
+  . *.cpp *.h)
+list(REMOVE_ITEM ${PROJECT_NAME}_CPP_FILES
+  include/${PROJECT_NAME}/crc.h)
+
+set(ROSLINT_CPP_OPTS "--filter=-build/c++11")
+roslint_cpp(${${PROJECT_NAME}_CPP_FILES})
 
 #############
 ## Install ##
