=== debian/changelog ===
ros-melodic-vesc-driver (1.1.0-1bionic) bionic; urgency=high

  * Merge pull request #1 <https://github.com/f1tenth/vesc/issues/1> from f1tenth/melodic-devel
    Updating for Melodic
  * Exclude crc.h from roslint.
  * Replacing boost::crc with CRCPP.
  * Replacing boost::begin, boost::end, and boost::distance with Standard Library equivalents.
  * Replacing boost::bind with Standard Library equivalent.
  * Replaing boost::noncopyable with C++ equivalent.
  * Replacing boost::function with Standard Library version.
  * Replacing Boost smart pointers with Standard Library equivalents.
  * Removing unnecessary v8stdint.h.
  * Updating package.xml to format 3 and setting C++ standard to 11.
  * Contributors: Joshua Whitley

 -- Johannes Betz <joebetz@seas.upenn.edu>  Sat, 12 Dec 2020 06:00:00 -0000

ros-melodic-vesc-driver (1.0.0-1bionic) bionic; urgency=high

  * Applying roslint and replacing registration macro with templated class.
  * Adding roslint.
  * Adding licenses.
  * Updating maintainers, authors, and URLs.
  * added onboard car
  * Contributors: Joshua Whitley, billyzheng

 -- Johannes Betz <joebetz@seas.upenn.edu>  Wed, 02 Dec 2020 06:00:00 -0000
